Page MenuHomePhabricator

[PowerPC] Improve codegen for int-to-fp conversion of subword vector extract
AcceptedPublic

Authored by Conanap on Apr 15 2021, 3:52 PM.

Details

Reviewers
nemanjai
saghir
Group Reviewers
Restricted Project
Summary

The following example generates code that can be completed in two instructions instead:

void testutof(vector unsigned short a, float *ptr) {
  *ptr = a[0];
}

The patch improves this code gen.

Diff Detail

Event Timeline

Conanap created this revision.Apr 15 2021, 3:52 PM
Conanap requested review of this revision.Apr 15 2021, 3:52 PM
Conanap updated this revision to Diff 337924.

Added test file

Conanap updated this revision to Diff 343193.May 5 2021, 2:23 PM

Rebased and fixed indentations

nemanjai accepted this revision.May 7 2021, 6:34 AM

LGTM.

This revision is now accepted and ready to land.May 7 2021, 6:34 AM